%define	name	gl-117
%define	version	1.3.2
%define	rel	6
%define	release	%mkrel %{rel}
%define	Summary	Action flight simulator

Name:		%{name}
Version:	%{version}
Release:	%{release}
URL:		http://www.heptargon.de/
Source0:	http://prdownloads.sourceforge.net/gl-117/%{name}-%{version}-src.tar.xz
Source11:	%{name}-16x16.png
Source12:	%{name}-32x32.png
Source13:	%{name}-48x48.png
License:	GPL
Group:		Games/Arcade
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Summary:	%{Summary}
BuildRequires: %{_lib}mesaglu1-devel
BuildRequires: %{_lib}SDL_mixer1.2-devel
BuildRequires: %{_lib}x11-devel
BuildRequires: %{_lib}nas2-devel
BuildRequires: %{_lib}smpeg0.4-devel
BuildRequires: %{_lib}vorbis0-devel
BuildRequires: mesa-common-devel
Requires: %{_lib}SDL_mixer1.2

%description
GL-117 is an action flight simulator for Linux/Unix and MSWindows.
Enter the Eagle Squadron and succeed in several challanging missions
leading though different landscapes. Five predefined levels of video
quality and an amount of viewing ranges let you perfectly adjust the
game to the performance of your system. Joystick, mouse,
sound effects, music... 

%prep
%setup -q -n %{name}-%{version}-src

%build
%configure2_5x	--bindir=%{_gamesbindir} \
		--datadir=%{_gamesdatadir}
%make

%install
rm -rf %{buildroot}
%{makeinstall_std}

install -d $RPM_BUILD_ROOT%{_datadir}/applications
cat <<EOF > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop
[Desktop Entry]
Name=GL-117
Comment=%{Summary}
Exec=%{_gamesbindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Game;ArcadeGame;X-MandrivaLinux-MoreApplications-Games-Arcade;
EOF

install -m644 %{SOURCE11} -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -m644 %{SOURCE12} -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -m644 %{SOURCE13} -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

install -m644 doc/%{name}.6 -D $RPM_BUILD_ROOT%{_mandir}/man6/%{name}.6

%post
%update_menus

%postun
%clean_menus

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README FAQ
%{_mandir}/man6/%{name}.6*
%{_gamesdatadir}/%{name}
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_datadir}/applications/%{name}.desktop
%defattr(755,root,root,755)
%{_gamesbindir}/*


%changelog
* Tue Jul 19 2016 adrianomorselli <adrianomorselli> 1,3,2-6uplos2011
- rebuild

* Tue Oct 05 2011 Archie <pclinuxos.ph at gmail.com> 1.3.2-6pclos2011
- Rebuild for x86_64

* Mon Jun 21 2010 Texstar <texstar at gmail.com> 1.3.2-5pclos2010
- add explict dep on libSDL_mixer1.2

* Wed Jun 16 2010 Texstar <texstar at gmail.com> 1.3.2-4pclos2010
- update for 2010 release

